

As David M-T points out, the default per-user mlock limit should be at least a
single page.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/resource.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/resource.h~sane-mlock_limit include/linux/resource.h
--- 25/include/linux/resource.h~sane-mlock_limit	2004-08-24 12:51:48.365671008 -0700
+++ 25-akpm/include/linux/resource.h	2004-08-24 12:52:14.128754424 -0700
@@ -60,7 +60,7 @@ struct rlimit {
  * GPG wants 32kB of mlocked memory, to make sure pass phrases
  * and other sensitive information are never written to disk.
  */
-#define MLOCK_LIMIT	(32*1024)
+#define MLOCK_LIMIT	(8 * PAGE_SIZE)
 
 /*
  * Due to binary compatibility, the actual resource numbers
_
